Qt 5.9 | Qt 3D | C++ Classes | QTechniqueFilter

Qt 5.9.9 Reference Documentation

# QTechniqueFilter Class

(Qt3DRender::QTechniqueFilter)

A QFrameGraphNode used to select QTechniques to use More...

Header: | #include <QTechniqueFilter>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | TechniqueFilter
Inherits: | Qt3DRender::QFrameGraphNode
Inherited By: | Qt3DExtras::QForwardRenderer

- List of all members, including inherited members

## Public Functions

| QTechniqueFilter(Qt3DCore::QNode *parent = nullptr)
void | addMatch(QFilterKey *filterKey)
void | addParameter(QParameter *parameter)
QVector<QFilterKey *> | matchAll() const
QVector<QParameter *> | parameters() const
void | removeMatch(QFilterKey *filterKey)
void | removeParameter(QParameter *parameter)

- 1 public function inherited from Qt3DRender::QFrameGraphNode
- 11 public functions inherited from Qt3DCore::QNode

## Protected Functions

| QTechniqueFilter(QTechniqueFilterPrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 1 protected function inherited from Qt3DRender::QFrameGraphNode
- 2 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 3 properties inherited from Qt3DCore::QNode
- 3 public slots inherited from Qt3DCore::QNode
- 4 signals inherited from Qt3DCore::QNode

## Detailed Description

A QFrameGraphNode used to select QTechniques to use

A Qt3DRender::QTechniqueFilter specifies which techniques are used by the FrameGraph when rendering the entities. QTechniqueFilter specifies a list of Qt3DRender::QFilterKey objects and Qt3DRender::QParameter objects. When QTechniqueFilter is present in the FrameGraph, only the techiques matching the keys in the list are used for rendering. The parameters in the list can be used to set values for shader parameters. The parameters in QTechniqueFilter are overridden by parameters in QTechnique and QRenderPass.

## Member Function Documentation

### QTechniqueFilter::QTechniqueFilter(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QTechniqueFilter.

### `[protected]` QTechniqueFilter::QTechniqueFilter(QTechniqueFilterPrivate &dd, Qt3DCore::QNode *parent = nullptr)

Copy constructor.

### void QTechniqueFilter::addMatch(QFilterKey *filterKey)

Add the filterKey to the match vector.

### void QTechniqueFilter::addParameter(QParameter *parameter)

Add parameter to the vector of parameters that will be passed to the graphics pipeline.

### QVector<QFilterKey *> QTechniqueFilter::matchAll() const

Returns a vector of the current keys for the filter.

### QVector<QParameter *> QTechniqueFilter::parameters() const

Returns the current vector of parameters.

### void QTechniqueFilter::removeMatch(QFilterKey *filterKey)

Remove the filterKey from the match vector.

### void QTechniqueFilter::removeParameter(QParameter *parameter)

Remove parameter from the vector of parameters passed to the graphics pipeline.